### Method

# Ide Context ref_project_settings

#### Declaration

    GSettings*
    ide_context_ref_project_settings (
      IdeContext* self
    )

#### Description

Gets an org.gnome.builder.project `GSettings`.

This creates a new `GSettings` instance for the project.

Available since: | 3.32

#### Return value

Returns: | `GSettings`
| A `GSettings`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.